Subject: Re: [i2c] [PATCH 0/4] Series to add device tree naming to i2c

From: Scott Wood <[email-masked]>
Date: Mon, 10 Dec 2007 12:37:10 -0600

Jon Smirl wrote:
> I can't see an easy way to do this. The basic problem is that the i2c
>  drivers are assumed to be cross platform.

It'd be a small binding-specific portion, similar to an of_platform stub
on a generic driver.  It could probably wait until an actual need
arises, though.

> I would need to add a path through the i2c core for getting a void
> pointer from the bus to the device But then when the device code gets
> this pointer it has no way of knowing what it was.

It'd need to know which binding/name combination it matched against
(similar to how of_platform does it).

> Another way that would work cross platform would be for the module to
>  have module parameters for the extra attributes.

Ick.  Module parameters are a PITA, and have to be duplicated with 
command line parameters if you want to support non-modular builds.

-Scott